{
  pkgs,
  lib,
  config,
  ...
}: {
  options = {
    services.math-project = {
      enable = lib.mkEnableOption "math project";
      package = lib.mkOption {
        description = "math project package";
        default = pkgs.callPackage ./package.nix {};
        type = lib.types.package;
      };
    };
  };
  config = lib.mkIf config.services.math-project.enable {
    environment.systemPackages = [
      config.services.math-project.package
    ];
  };
}
